
Foreman - Bug #33310

Host Detail Graphs VERY slow to load after upgrade to 3.0.0-rc1

08/19/2021 02:43 PM - Paul Lazarchik

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version: 3.0.2   

Difficulty:  Fixed in Releases: 3.0.2, 3.1.1, 3.2.0

Triaged: No Found in Releases: 3.0.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9019

  

Description

After upgrade to 3.0.0-rc1 the graphs on host detail page are very slow to load and have incorrect dates.  It appears the sql query is

not correct.  I ran the report on 8/19/2021, Changing days to 1 the graph shows entries for 5/16, 8/24, 12/1, 3/12, 6/20, 9/20, 1/5,

4/16, 7/25, and 11/2.  I have attached screenshots.

Related issues:

Related to Foreman - Refactor #23665: Use Patternfly charts in Runtime Duplicate

Associated revisions

Revision 0a49d3ff - 01/06/2022 08:48 PM - Ben Tucci 

Fixes #33310 - Remove epoch shifting, as AreaChart already does this

History

#1 - 08/30/2021 12:39 PM - Tomer Brisker

- Target version set to 3.0.0

#2 - 09/06/2021 01:28 PM - Amit Upadhye

- Target version changed from 3.0.0 to 3.0.1

#3 - 10/14/2021 11:47 AM - Ewoud Kohl van Wijngaarden

- Found in Releases 3.0.0 added

I can confirm that on my 3.0.0 GA this is a problem. From production.log:

2021-10-14T13:41:05 [I|app|0482a821] Started GET "/hosts/bunker.example.com/overview" for CLIENT_IP at 2021-10

-14 13:41:05 +0200

2021-10-14T13:41:05 [I|app|4eddf982] Started GET "/hosts/bunker.example.com/nics" for CLIENT_IP at 2021-10-14 

13:41:05 +0200

2021-10-14T13:41:05 [I|app|29ce63be] Started GET "/hosts/bunker.example.com/resources?range=7" for CLIENT_IP a

t 2021-10-14 13:41:05 +0200

2021-10-14T13:41:05 [I|app|4416538f] Started GET "/hosts/bunker.example.com/runtime?range=7" for CLIENT_IP at 

2021-10-14 13:41:05 +0200

2021-10-14T13:41:05 [I|app|0482a821] Processing by HostsController#overview as HTML

2021-10-14T13:41:05 [I|app|0482a821]   Parameters: {"id"=>"bunker.example.com"}

2021-10-14T13:41:06 [I|app|4416538f] Processing by HostsController#runtime as HTML

2021-10-14T13:41:06 [I|app|4416538f]   Parameters: {"range"=>"7", "id"=>"bunker.example.com"}

2021-10-14T13:41:05 [I|app|4eddf982] Processing by HostsController#nics as HTML

2021-10-14T13:41:06 [I|app|4eddf982]   Parameters: {"id"=>"bunker.example.com"}

2021-10-14T13:41:05 [I|app|29ce63be] Processing by HostsController#resources as HTML

2021-10-14T13:41:06 [I|app|29ce63be]   Parameters: {"range"=>"7", "id"=>"bunker.example.com"}

2021-10-14T13:41:06 [I|app|29ce63be]   Rendered hosts/_resources.html.erb (Duration: 133.1ms | Allocations: 26

433)

2021-10-14T13:41:06 [I|app|29ce63be] Completed 200 OK in 245ms (Views: 106.9ms | ActiveRecord: 110.7ms | Alloc

ations: 51105)

2021-10-14T13:41:06 [I|app|4eddf982]   Rendered hosts/_nics.html.erb (Duration: 186.5ms | Allocations: 35396)

2021-10-14T13:41:06 [I|app|4eddf982] Completed 200 OK in 293ms (Views: 151.2ms | ActiveRecord: 107.9ms | Alloc
ations: 55442)

2021-10-14T13:41:07 [I|app|4416538f]   Rendered hosts/_runtime.html.erb (Duration: 1841.2ms | Allocations: 302

562)

2021-10-14T13:41:07 [I|app|4416538f] Completed 200 OK in 1914ms (Views: 1660.2ms | ActiveRecord: 233.7ms | All

ocations: 311110)

2021-10-14T13:41:08 [I|app|0482a821]   Rendered hosts/_overview.html.erb (Duration: 1900.2ms | Allocations: 30

4846)

2021-10-14T13:41:08 [I|app|0482a821] Completed 200 OK in 1994ms (Views: 433.0ms | ActiveRecord: 1543.1ms | All

ocations: 319561)

#4 - 10/19/2021 09:08 AM - Tomer Brisker

- Related to Refactor #23665: Use Patternfly charts in Runtime added

#5 - 10/26/2021 12:27 PM - Amit Upadhye

- Category set to Web Interface

#6 - 10/26/2021 12:38 PM - Amit Upadhye

- Target version changed from 3.0.1 to 3.0.2

#7 - 01/06/2022 03:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9019 added

#8 - 01/06/2022 08:48 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#9 - 01/06/2022 08:50 PM - Ondřej Ezr

- Fixed in Releases 3.0.2, 3.1.1 added

#10 - 01/06/2022 09:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0a49d3ff5c9833d7263e0fc42e72ae04b87165a9.
